# processwire-TextformatterLatexMathML

A Latext to MathML converter for ProcessWire

Searches for Latext formulas enclosed in $-signs 
like this “\$\sqrt{a^{2}+b^{2}}\=c$” and substitites it by
MathML like this:

    
    <math xmlns="http://www.w3.org/1998/Math/MathML">
        <mrow>
            <mrow>
                <msqrt>
                    <mrow>
                        <msup>
                            <mrow>
                                <mi>a</mi>
                            </mrow>
                        <mrow>
                            <mn>2</mn>
                        </mrow>
                    </msup>
                    <mo>+</mo>
                    <msup>
                        <mrow>
                            <mi>b</mi>
                        </mrow>
                        <mrow>
                            <mn>2</mn>
                        </mrow>
                    </msup>
                </mrow>
            </msqrt>
            <mo>=</mo><mi>c</mi>
            </mrow>
        </mrow>
    </math>

which finally will be rendered by your browser as nice 
looking math formula.

$\sqrt{a^{2}+b^{2}}=c$

# INSTALL

Requires on your server the programm 
latexmlmath to be installed.



